Cantera 2.6.0

Public Member Functions | List of all members
PDSS_IdealGas Class Reference
Models of Phases of Matter » Thermodynamic Properties » Species Standard-State Thermodynamic Properties

Derived class for pressure dependent standard states of an ideal gas species. More...

`#include <PDSS_IdealGas.h>`

Inheritance diagram for PDSS_IdealGas:
[legend]
Collaboration diagram for PDSS_IdealGas:
[legend]

## Public Member Functions
| PDSS_IdealGas ()
| Default Constructor. More...
Molar Thermodynamic Properties of the Species Standard State in the Solution
virtual doublereal | intEnergy_mole () const
| Return the molar internal Energy in units of J kmol-1. More...
virtual doublereal | cv_mole () const
| Return the molar const volume heat capacity in units of J kmol-1 K-1. More...
Mechanical Equation of State Properties
virtual doublereal | pressure () const
| Returns the pressure (Pa) More...
virtual void | setPressure (doublereal pres)
| Sets the pressure in the object. More...
virtual void | setTemperature (doublereal temp)
| Set the internal temperature. More...
virtual void | setState_TP (doublereal temp, doublereal pres)
| Set the internal temperature and pressure. More...
virtual void | setState_TR (doublereal temp, doublereal rho)
| Set the internal temperature and density. More...
Initialization of the Object
virtual void | initThermo ()
| Initialization routine. More...
virtual void | getParameters (AnyMap &eosNode) const
| Store the parameters needed to reconstruct a copy of this PDSS object. More...
Public Member Functions inherited from PDSS_Nondimensional
virtual doublereal | enthalpy_mole () const
| Return the molar enthalpy in units of J kmol-1. More...
virtual doublereal | entropy_mole () const
| Return the molar entropy in units of J kmol-1 K-1. More...
virtual doublereal | gibbs_mole () const
| Return the molar Gibbs free energy in units of J kmol-1. More...
virtual doublereal | cp_mole () const
| Return the molar const pressure heat capacity in units of J kmol-1 K-1. More...
virtual double | enthalpy_RT_ref () const
| Return the molar enthalpy divided by RT at reference pressure. More...
virtual double | entropy_R_ref () const
| Return the molar entropy divided by R at reference pressure. More...
virtual double | gibbs_RT_ref () const
| Return the molar Gibbs free energy divided by RT at reference pressure. More...
virtual double | cp_R_ref () const
| Return the molar heat capacity divided by R at reference pressure. More...
virtual double | molarVolume_ref () const
| Return the molar volume at reference pressure. More...
virtual double | enthalpy_RT () const
| Return the standard state molar enthalpy divided by RT. More...
virtual double | entropy_R () const
| Return the standard state entropy divided by RT. More...
virtual double | gibbs_RT () const
| Return the molar Gibbs free energy divided by RT. More...
virtual double | cp_R () const
| Return the molar const pressure heat capacity divided by RT. More...
virtual double | molarVolume () const
| Return the molar volume at standard state. More...
virtual double | density () const
| Return the standard state density at standard state. More...
Public Member Functions inherited from PDSS
virtual void | setTemperature (doublereal temp)
| Set the internal temperature. More...
virtual doublereal | temperature () const
| Return the current stored temperature. More...
virtual void | setState_TP (doublereal temp, doublereal pres)
| Set the internal temperature and pressure. More...
virtual void | setState_TR (doublereal temp, doublereal rho)
| Set the internal temperature and density. More...
virtual doublereal | critTemperature () const
| critical temperature More...
virtual doublereal | critPressure () const
| critical pressure More...
virtual doublereal | critDensity () const
| critical density More...
virtual doublereal | satPressure (doublereal T)
| saturation pressure More...
doublereal | molecularWeight () const
| Return the molecular weight of the species in units of kg kmol-1. More...
void | setMolecularWeight (doublereal mw)
| Set the molecular weight of the species. More...
| PDSS ()
| Default Constructor. More...
| PDSS (const PDSS &b)=delete
PDSS & | operator= (const PDSS &b)=delete
virtual | ~PDSS ()
virtual doublereal | enthalpyDelp_mole () const
| Get the difference in the standard state enthalpy between the current pressure and the reference pressure, p0. More...
virtual doublereal | entropyDelp_mole () const
| Get the difference in the standard state entropy between the current pressure and the reference pressure, p0. More...
virtual doublereal | gibbsDelp_mole () const
| Get the difference in the standard state Gibbs free energy between the current pressure and the reference pressure, p0. More...
virtual doublereal | cpDelp_mole () const
| Get the difference in standard state heat capacity between the current pressure and the reference pressure, p0. More...
doublereal | refPressure () const
| Return the reference pressure for this phase. More...
doublereal | minTemp () const
| return the minimum temperature More...
doublereal | maxTemp () const
| return the minimum temperature More...
virtual doublereal | thermalExpansionCoeff () const
| Return the volumetric thermal expansion coefficient. Units: 1/K. More...
void | setReferenceThermo (shared_ptr< SpeciesThermoInterpType > stit)
| Set the SpeciesThermoInterpType object used to calculate reference state properties. More...
virtual void | setParent (VPStandardStateTP *phase, size_t k)
| Set the parent VPStandardStateTP object of this PDSS object. More...
void | setParameters (const AnyMap &node)
| Set model parameters from an AnyMap phase description, for example from the `equation-of-state` field of a species definition. More...
virtual void | setParametersFromXML (const XML_Node &speciesNode)
| Initialization routine for the PDSS object based on the speciesNode. More...
virtual void | reportParams (size_t &kindex, int &type, doublereal *const c, doublereal &minTemp, doublereal &maxTemp, doublereal &refPressure) const
| This utility function reports back the type of parameterization and all of the parameters for the species, index. More...

## Additional Inherited Members
Protected Attributes inherited from PDSS_Nondimensional
double | m_h0_RT
| Reference state enthalpy divided by RT. More...
double | m_cp0_R
| Reference state heat capacity divided by R. More...
double | m_s0_R
| Reference state entropy divided by R. More...
double | m_g0_RT
| Reference state Gibbs free energy divided by RT. More...
double | m_V0
| Reference state molar volume (m^3/kmol) More...
double | m_hss_RT
| Standard state enthalpy divided by RT. More...
double | m_cpss_R
| Standard state heat capacity divided by R. More...
double | m_sss_R
| Standard state entropy divided by R. More...
double | m_gss_RT
| Standard state Gibbs free energy divided by RT. More...
double | m_Vss
| Standard State molar volume (m^3/kmol) More...
Protected Attributes inherited from PDSS
doublereal | m_temp
| Current temperature used by the PDSS object. More...
doublereal | m_pres
| State of the system - pressure. More...
doublereal | m_p0
| Reference state pressure of the species. More...
doublereal | m_minTemp
| Minimum temperature. More...
doublereal | m_maxTemp
| Maximum temperature. More...
doublereal | m_mw
| Molecular Weight of the species. More...
AnyMap | m_input
| Input data supplied via setParameters. More...
shared_ptr< SpeciesThermoInterpType > | m_spthermo
| Pointer to the species thermodynamic property manager. More...

## Detailed Description

Derived class for pressure dependent standard states of an ideal gas species.

This class is for a single Ideal Gas species.

Definition at line 24 of file PDSS_IdealGas.h.

## Constructor & Destructor Documentation

## ◆ PDSS_IdealGas()

PDSS_IdealGas | ( |  | ) |

Default Constructor.

Definition at line 19 of file PDSS_IdealGas.cpp.

## Member Function Documentation

## ◆ intEnergy_mole()

doublereal intEnergy_mole | ( |  | ) | const
| virtual

Return the molar internal Energy in units of J kmol-1.

Returns
  The species standard state internal Energy in J kmol-1 at the current temperature and pressure.

Reimplemented from PDSS.

Definition at line 37 of file PDSS_IdealGas.cpp.

References Cantera::GasConstant, PDSS_Nondimensional::m_h0_RT, and PDSS::m_temp.

## ◆ cv_mole()

doublereal cv_mole | ( |  | ) | const
| virtual

Return the molar const volume heat capacity in units of J kmol-1 K-1.

Returns
  The species standard state Cv in J kmol-1 K-1 at the current temperature and pressure.

Reimplemented from PDSS.

Definition at line 42 of file PDSS_IdealGas.cpp.

References PDSS_Nondimensional::cp_mole(), and Cantera::GasConstant.

## ◆ pressure()

doublereal pressure | ( |  | ) | const
| virtual

Returns the pressure (Pa)

Reimplemented from PDSS.

Definition at line 47 of file PDSS_IdealGas.cpp.

## ◆ setPressure()

void setPressure | ( | doublereal | pres | ) |
| virtual

Sets the pressure in the object.

Currently, this sets the pressure in the PDSS object. It is indeterminant what happens to the owning VPStandardStateTP object.

Parameters

  pres | Pressure to be set (Pascal)

Reimplemented from PDSS.

Definition at line 52 of file PDSS_IdealGas.cpp.

References Cantera::GasConstant, PDSS_Nondimensional::m_gss_RT, PDSS_Nondimensional::m_hss_RT, PDSS::m_p0, PDSS::m_pres, PDSS_Nondimensional::m_s0_R, PDSS_Nondimensional::m_sss_R, PDSS::m_temp, and PDSS_Nondimensional::m_Vss.

## ◆ setTemperature()

void setTemperature | ( | doublereal | temp | ) |
| virtual

Set the internal temperature.

Parameters

  temp | Temperature (Kelvin)

Reimplemented from PDSS.

Definition at line 59 of file PDSS_IdealGas.cpp.

References Cantera::GasConstant, PDSS_Nondimensional::m_cp0_R, PDSS_Nondimensional::m_cpss_R, PDSS_Nondimensional::m_g0_RT, PDSS_Nondimensional::m_gss_RT, PDSS_Nondimensional::m_h0_RT, PDSS_Nondimensional::m_hss_RT, PDSS::m_p0, PDSS::m_pres, PDSS_Nondimensional::m_s0_R, PDSS::m_spthermo, PDSS_Nondimensional::m_sss_R, PDSS::m_temp, PDSS_Nondimensional::m_V0, and PDSS_Nondimensional::m_Vss.

Referenced by PDSS_IdealGas::setState_TP(), and PDSS_IdealGas::setState_TR().

## ◆ setState_TP()

void setState_TP | ( | doublereal | temp,
|  | doublereal | pres
| ) |  |
| virtual

Set the internal temperature and pressure.

Parameters

  temp | Temperature (Kelvin)
  pres | pressure (Pascals)

Reimplemented from PDSS.

Definition at line 72 of file PDSS_IdealGas.cpp.

References PDSS::m_pres, and PDSS_IdealGas::setTemperature().

## ◆ setState_TR()

void setState_TR | ( | doublereal | temp,
|  | doublereal | rho
| ) |  |
| virtual

Set the internal temperature and density.

Parameters

  temp | Temperature (Kelvin)
  rho | Density (kg m-3)

Reimplemented from PDSS.

Definition at line 78 of file PDSS_IdealGas.cpp.

References Cantera::GasConstant, PDSS::m_mw, PDSS::m_pres, and PDSS_IdealGas::setTemperature().

## ◆ initThermo()

void initThermo | ( |  | ) |
| virtual

Initialization routine.

This is a cascading call, where each level should call the the parent level.

Reimplemented from PDSS.

Definition at line 23 of file PDSS_IdealGas.cpp.

References PDSS::initThermo(), PDSS::m_maxTemp, PDSS::m_minTemp, PDSS::m_p0, and PDSS::m_spthermo.

## ◆ getParameters()

void getParameters | ( | AnyMap & | eosNode | ) | const
| virtual

Store the parameters needed to reconstruct a copy of this PDSS object.

Reimplemented from PDSS.

Definition at line 31 of file PDSS_IdealGas.cpp.

References PDSS::getParameters().

The documentation for this class was generated from the following files:

- PDSS_IdealGas.h
- PDSS_IdealGas.cpp